@echo off
color 0a
cd /d "%~dp0"
if NOT "%cd%"=="%cd: =%" (
COLOR 4F
    echo 当前目录的路径中含有空格，请重命名。
    pause
    goto :EOF
)

ECHO 安装所需依赖框架
powershell -Command "Get-ChildItem -Path .\files -Recurse -Filter '*.appx' | ForEach-Object { Add-AppxPackage -Path $_.FullName }"
ECHO 安装Microsoft.WindowsTerminal
powershell -Command "Get-ChildItem -Path .\files -Recurse -Filter '*.AppxBundle' | ForEach-Object { Add-AppxPackage -Path $_.FullName }"
powershell -Command "Get-ChildItem -Path .\files -Recurse -Filter '*.Msixbundle' | ForEach-Object { Add-AppxPackage -Path $_.FullName }"
pause
